﻿/// <reference path="~/GeneratedArtifacts/viewModel.js" />
var a;
myapp.Drilldown.Group_render = function (element, contentItem) {
    // Write code here.
    var itemTemplate = $("<div></div>").attr('id', "container")
    
   
    itemTemplate.appendTo($(element));

    data = GetData();
    itemTemplate.ejRangeNavigator(
              {
                  enableDeferredUpdate: true,
                  padding: "15",
                  allowSnapping:true,
                  selectedRangeSettings: {
                      start:"2010/7/1", end:"2011/4/1"
                  },
                  enableAutoResizing: false,
                  tooltipSettings: {
                      visible: true, labelFormat: "MM/dd/yyyy", backgroundColor: "gray", tooltipDisplayMode: "ondemand",
                      font: {
                          color: 'white',
                          fontFamily: 'Segoe UI',
                          fontStyle: 'Normal',
                          size: '12px',
                          opacity: 1,
                          fontWeight: 'regular'
                      }
               
                  },

                  series: [
                                  {                      

                                      name: 'Product A', 
                                      enableAnimation: false,
                                      type:'area',
                                      dataSource: data.Close, xName: "XValue", yName: "YValue",
                                      border: {color: 'transparent', width:2 },
                                      opacity: 1, fill: '#45eded', 

                                  },
							
                                  {                      

                                      name: 'Product B', 
                                      enableAnimation: false,
                                      type:'area',
                                      dataSource: data.Open, xName: "XValue", yName: "YValue",
                                      border: {color: 'transparent', width:2 },
                                      opacity: 1, fill: '#41d335', 

                                  }

                  ],

                  seriesSettings: {
                      type: 'column', enableAnimation: true,
                  },
                  valueAxisSettings: {
                      rangePadding: 'none',
                      axisLine: { visible: false },
                      font: { size: '0px', },
                      majorTickLines:
                      {
                          lineWidth: 0, size: 0, visible: true
                      },
                      range:{min:0, max:50, interval:10},
                      majorGridLines: { visible: false },
                      visible: false
                  },
                  labelSettings: {
                
                      higherLevel: {
                          style: { font: { color: 'black', family: 'Segoe UI', style: 'Normal', size: '13px', opacity: 1, weight: 'regular' }, horizontalAlignment:"left" },
                          intervalType: 'years', 
                          gridLineStyle:{ color:"black", width:1, dashArray:"17 5 0" },
                          labelPlacement: "inside"
                      },
                      lowerLevel: {
                          style: { font: { color: 'black', family: 'Segoe UI', style: 'Normal', size: '12px', opacity: 1, weight: 'regular' }, horizontalAlignment:"center" },
                          intervalType: 'quarters',
                          gridLineStyle:{ color:"black", width:1, dashArray:"0 13 5"},
                          labelPlacement: "inside"
                      }
                  },


                  navigatorStyleSettings: {
               
                      unselectedRegionColor:"white",
                      thumbColor: "white",
                      background: "transparent",
                     // leftThumbTemplate:'rectlight',
                     // rightThumbTemplate:'rectlight',
                      border: { color: "black", width:3 },
                      majorGridLineStyle: { color: "transparent" },
                      minorGridLineStyle: { color: "transparent"}
                  },

                 // loaded: loadingtheme,
                 // rangeChanged: onchartloaded,
                  sizeSettings:{width:"1200"}
              });

    a = element;
};

function onclick(sender) {
    if (document.getElementById("back") == undefined)
    {
        var element = a;
        var back = $("<button style='position:absolute; left:800px; top:100px'></button>").attr('id', "back")
        back.appendTo($(element));
        back.ejButton({
            text: "BACK",
            click: "displayResult",
            size: "mini"
        });
    } 

    var pointIndex = sender.data.region.Region.PointIndex;
    if (sender.model.series[0].name == "Market")
        $("#container").ejChart("option", { "drilldown": pieSeries(pointIndex) });
    document.getElementById("back").style.visibility = "visible";
}
function GetData() {

    var series1 = [];
    var series2 = [];
    var value = 100;
    var value1 = 120;


    series1.push({ XValue: new Date(2010, 0, 1), YValue: 5 });
    series1.push({ XValue: new Date(2010, 0, 20), YValue: 5 });
    series1.push({ XValue: new Date(2010, 0, 40), YValue: 20 });
    series1.push({ XValue: new Date(2010, 0, 80), YValue: 15 });
    series1.push({ XValue: new Date(2010, 0, 100), YValue: 20 });
    series1.push({ XValue: new Date(2010, 0, 120), YValue: 15 });
    series1.push({ XValue: new Date(2010, 0, 140), YValue: 15 });
    series1.push({ XValue: new Date(2010, 0, 160), YValue: 30 });
    series1.push({ XValue: new Date(2010, 0, 180), YValue: 20 });
    series1.push({ XValue: new Date(2010, 0, 200), YValue: 25 });
    series1.push({ XValue: new Date(2010, 0, 220), YValue: 15 });
    series1.push({ XValue: new Date(2010, 0, 240), YValue: 20 });
    series1.push({ XValue: new Date(2010, 0, 260), YValue: 15 });
    series1.push({ XValue: new Date(2010, 0, 280), YValue: 25 });
    series1.push({ XValue: new Date(2010, 0, 300), YValue: 5 });
    series1.push({ XValue: new Date(2010, 0, 320), YValue: 35 });
    series1.push({ XValue: new Date(2010, 0, 340), YValue: 25 });
    series1.push({ XValue: new Date(2010, 0, 363), YValue: 15 });
    series1.push({ XValue: new Date(2011, 0, 1), YValue: 5 });
    series1.push({ XValue: new Date(2011, 0, 20), YValue: 5 });
    series1.push({ XValue: new Date(2011, 0, 40), YValue: 20 });
    series1.push({ XValue: new Date(2011, 0, 80), YValue: 15 });
    series1.push({ XValue: new Date(2011, 0, 100), YValue: 20 });
    series1.push({ XValue: new Date(2011, 0, 120), YValue: 15 });
    series1.push({ XValue: new Date(2011, 0, 140), YValue: 15 });
    series1.push({ XValue: new Date(2011, 0, 160), YValue: 30 });
    series1.push({ XValue: new Date(2011, 0, 180), YValue: 20 });
    series1.push({ XValue: new Date(2011, 0, 200), YValue: 25 });
    series1.push({ XValue: new Date(2011, 0, 220), YValue: 15 });
    series1.push({ XValue: new Date(2011, 0, 240), YValue: 20 });
    series1.push({ XValue: new Date(2011, 0, 260), YValue: 15 });
    series1.push({ XValue: new Date(2011, 0, 280), YValue: 25 });
    series1.push({ XValue: new Date(2011, 0, 300), YValue: 5 });
    series1.push({ XValue: new Date(2011, 0, 320), YValue: 35 });
    series1.push({ XValue: new Date(2011, 0, 340), YValue: 25 });
    series1.push({ XValue: new Date(2012, 0, 60), YValue: 15 });
    series2.push({ XValue: new Date(2010, 0, 1), YValue: 5 });
    series2.push({ XValue: new Date(2010, 0, 20), YValue: 15 });
    series2.push({ XValue: new Date(2010, 0, 40), YValue: 20 });
    series2.push({ XValue: new Date(2010, 0, 80), YValue: 25 });
    series2.push({ XValue: new Date(2010, 0, 100), YValue: 20 });
    series2.push({ XValue: new Date(2010, 0, 120), YValue: 35 });
    series2.push({ XValue: new Date(2010, 0, 140), YValue: 15 });
    series2.push({ XValue: new Date(2010, 0, 160), YValue: 30 });
    series2.push({ XValue: new Date(2010, 0, 180), YValue: 10 });
    series2.push({ XValue: new Date(2010, 0, 200), YValue: 35 });
    series2.push({ XValue: new Date(2010, 0, 220), YValue: 25 });
    series2.push({ XValue: new Date(2010, 0, 240), YValue: 10 });
    series2.push({ XValue: new Date(2010, 0, 260), YValue: 25 });
    series2.push({ XValue: new Date(2010, 0, 280), YValue: 35 });
    series2.push({ XValue: new Date(2010, 0, 300), YValue: 15 });
    series2.push({ XValue: new Date(2010, 0, 320), YValue: 25 });
    series2.push({ XValue: new Date(2010, 0, 340), YValue: 35 });
    series2.push({ XValue: new Date(2010, 0, 363), YValue: 25 });
    series2.push({ XValue: new Date(2011, 0, 1), YValue: 35 });
    series2.push({ XValue: new Date(2011, 0, 20), YValue: 15 });
    series2.push({ XValue: new Date(2011, 0, 40), YValue: 20 });
    series2.push({ XValue: new Date(2011, 0, 80), YValue: 25 });
    series2.push({ XValue: new Date(2011, 0, 100), YValue: 20 });
    series2.push({ XValue: new Date(2011, 0, 120), YValue: 35 });
    series2.push({ XValue: new Date(2011, 0, 140), YValue: 15 });
    series2.push({ XValue: new Date(2011, 0, 160), YValue: 30 });
    series2.push({ XValue: new Date(2011, 0, 180), YValue: 10 });
    series2.push({ XValue: new Date(2011, 0, 200), YValue: 35 });
    series2.push({ XValue: new Date(2011, 0, 220), YValue: 25 });
    series2.push({ XValue: new Date(2011, 0, 240), YValue: 10 });
    series2.push({ XValue: new Date(2011, 0, 260), YValue: 25 });
    series2.push({ XValue: new Date(2011, 0, 280), YValue: 35 });
    series2.push({ XValue: new Date(2011, 0, 300), YValue: 15 });
    series2.push({ XValue: new Date(2011, 0, 320), YValue: 25 });
    series2.push({ XValue: new Date(2011, 0, 340), YValue: 35 });
    series2.push({ XValue: new Date(2012, 0, 60), YValue: 25 });
    //series2.push({XValue: new Date(2010, 0, 375), YValue: 15   });


    data = { Open: series1, Close: series2 };
    return data;
}
function displayResult() {
   
    $("#container").ejChart("option", { "drilldown": pieSeries() });
    document.getElementById("back").style.visibility = "hidden";
}
function pieSeries(index) {
    if (index == 0) {
        return {
            title: { text: 'Automobile Sales in the SUV segment' },
            series: [{
                points: [{ x: "Toyota", y: 8, text: 'Toyota 8%' }, { x: "Ford", y: 12, text: 'Ford 12%' }, { x: "GM", y: 17, text: 'GM 17%' }, { x: "Renault", y: 6, text: 'Renault 6%' }, { x: "Fiat", y: 3, text: 'Fiat 3%' },
                    { x: "Hyundai", y: 16, text: 'Hyundai 16%' }, { x: "Honda", y: 8, text: 'Honda 8%' }, { x: "Maruthi", y: 10, text: 'Maruthi 10%' }, { x: "BMW", y: 20, text: 'BMW 20%' }
                ],

                name: 'SUV-Sale', labelPosition: 'outside', enableAnimation: true,
                marker: {
                    dataLabel: { visible: true, connectorLine: { height: 40 }, font: { size: '12px', color: "#707070" } }
                }
            }],

            legend: { visible: false }
        };
    }
    else if (index == 1) {
        return {
            title: { text: 'Automobile Sales in the Car segment' },
            series: [{
                points: [{ x: "Toyota", y: 7, text: 'Toyota 7%' }, { x: "Chrysler", y: 12, text: 'Chrysler 12%' }, { x: "Nissan", y: 9, text: 'Nissan 9%' }, { x: "Ford", y: 15, text: 'Ford 15%' },
                    { x: "Tata", y: 10, text: 'Tata 10%' }, { x: "Mahindra", y: 7, text: 'Mahindra 7%' }, { x: "Renault", y: 8, text: 'Renault 8%' }, { x: "Skoda", y: 5, text: 'Skoda 5%' },
                     { x: "Volkswagen", y: 15, text: 'Volkswagen 15%' }, { x: "Fiat", y: 3, text: 'Fiat 3%' }
                ],

                name: 'Car-Sale', labelPosition: 'outside', enableAnimation: true,
                marker: {
                    dataLabel: { visible: true, connectorLine: { height: 40 }, font: { size: '12px', color: "#707070" } }
                }
            }],
            legend: { visible: false }

        };

    }
    else if (index == 2) {
        return {
            title: { text: 'Automobile Sales in the Pickup segment' },
            series: [{
                points: [{ x: "Nissan", y: 9, text: 'Nissan 9%' }, { x: "Chrysler", y: 4, text: 'Chrysler 4%' }, { x: "Ford", y: 7, text: 'Ford 7%' }, { x: "Toyota", y: 20, text: 'Toyota 20%' },
                  { x: "Suzuki", y: 13, text: 'Suzuki 13%' }, { x: "Lada", y: 12, text: 'Lada 12%' }, { x: "Bentley", y: 6, text: 'Bentley 6%' }, { x: "Volvo", y: 10, text: 'Volvo 10%' },
                     { x: "Audi", y: 19, text: 'Audi 19%' }
                ],

                name: 'Pickup-Sale', labelPosition: 'outside', enableAnimation: true,
                marker: {
                    dataLabel: { visible: true, connectorLine: { height: 40 }, font: { size: '12px', color: "#707070" } }
                }

            }],

            legend: { visible: false }

        };
    }
    else if (index == 3) {
        return {
            title: { text: 'Automobile Sales in the Minivan segment' },
            series: [{
                points: [{ x: "Hummer", y: 11, text: 'Hummer 11%' }, { x: "Ford", y: 5, text: 'Ford 5%' }, { x: "GM", y: 12, text: 'GM 13%' }, { x: "Chrysler", y: 3, text: 'Chrysler 3%' },
                    { x: "Jaguar", y: 9, text: 'Jaguar 10%' }, { x: "Fiat", y: 8, text: 'Fiat 8%' }, { x: "Honda", y: 15, text: 'Honda 16%' }, { x: "Hyundai", y: 4, text: 'Hyundai 4%' },
                      { x: "Scion", y: 11, text: 'Scion 12%' }, { x: "Toyota", y: 17, text: 'Toyota 18%' }

                ],

                name: 'Minivan-Sale', labelPosition: 'outside', enableAnimation: true,
                marker: {
                    dataLabel: { visible: true, connectorLine: { height: 40 }, font: { size: '12px', color: "#707070" } }
                }

            }],


            legend: { visible: false }

        };
    } else {
        return {
            title: { text: 'Automobile Sales by Category' },
            series: [{
                points: [{ x: "SUV", y: 25, text: '25%' }, { x: "Car", y: 37, text: '37%' }, { x: "Pickup", y: 15, text: '15%' }, { x: "Minivan", y: 23, text: '23%' }],
                name: 'Market', explode: true, enableAnimation: true,
                marker: {
                    dataLabel: { visible: true, font: { size: '24px', color: "#FFFFFF" } }
                }
            }
            ],


            legend: { visible: true },
            AnimationComplete: false

        };
        document.getElementById("back").style.visibility = "hidden";
    }
}
