﻿/// <reference path="viewModel.js" />

(function (lightSwitchApplication) {

    var $element = document.createElement("div");

    lightSwitchApplication.Drilldown.prototype._$contentItems = {
        Tabs: {
            _$class: msls.ContentItem,
            _$name: "Tabs",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.Drilldown
        },
        Group: {
            _$class: msls.ContentItem,
            _$name: "Group",
            _$parentName: "Tabs",
            screen: lightSwitchApplication.Drilldown,
            data: lightSwitchApplication.Drilldown,
            value: lightSwitchApplication.Drilldown
        },
        Popups: {
            _$class: msls.ContentItem,
            _$name: "Popups",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.Drilldown
        }
    };

    msls._addEntryPoints(lightSwitchApplication.Drilldown, {
        /// <field>
        /// Called when a new Drilldown screen is created.
        /// <br/>created(msls.application.Drilldown screen)
        /// </field>
        created: [lightSwitchApplication.Drilldown],
        /// <field>
        /// Called before changes on an active Drilldown screen are applied.
        /// <br/>beforeApplyChanges(msls.application.Drilldown screen)
        /// </field>
        beforeApplyChanges: [lightSwitchApplication.Drilldown],
        /// <field>
        /// Called to render the Group content item.
        /// <br/>render(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Group_render: [$element, function () { return new lightSwitchApplication.Drilldown().findContentItem("Group"); }]
    });

}(msls.application));